=== debian/changelog ===
debian-cd (3.1.14) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start jessie work; copy things from the wheezy config for now.
  * Remove older squeeze, lenny, etch dirs
  * Move code hosting from svn to git.
  * Make sure that when we call apt, we tell it to *not* use localised
    package descriptions; this causes issues during build. See #712435 in
    apt.
  * List Translation files in dists/$dist/Release too - apt looks there
    now instead of in Index, apparently.
  * Remove mention/support of the s390(x) tape options; not created by d-i
    any more, and this is causing build failures.
  * Remove mention/support of old kfreebsd 8 kernels - they are not
    created any more, and this is causing build failures.
  * Remove s390 from the arch lists in various scripts, as it's going
    away. Support remains if specifically configured yet.
  * tools/update_tasks: don't hard-code the default desktop to use,
    instead work it out directly from the dependencies of the task-desktop
    package.
  * tools/boot/jessie/*: Pull out some more common code into common.sh to
    simplify the various boot-$arch scripts. Warn about potentially
    insecure download locations.

  [ Robert Spencer ]
  * Build without isolinux/desktop. Closes: #706150
  * Don't assume loadlin.exe exists. Closes: #706156

  [ Joey Hess ]
  * Add make and gcc back to forcecd1, to allow building out of tree
    kernel wifi modules. I removed this and more earlier while cleaning
    out undocuented cruft.
    (I have not added back module-assistant so far,
    since it needs build-essential which would pull in additional
    dependencies.)

 -- Steve McIntyre <93sam@debian.org>  Tue, 14 Jan 2014 17:19:22 +0100
