=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: tofrodos
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/debian-cd/debian-cd.git
Vcs-Browser: http://anonscm.debian.org/git/debian-cd/debian-cd.git;a=summary

Package: debian-cd
Architecture: all
Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl
Recommends: hfsutils, netpbm, syslinux-common, mtools, dosfstools
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.
