=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

build-arch build-indep: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp -r contrib tools tasks data Makefile README README.devel build.sh \
              build_all.sh update-cd easy-build.sh README.easy-build \
              debian/debian-cd/usr/share/debian-cd/
	cp CONF.sh debian/debian-cd/etc/debian-cd/conf.sh
	ln -sf /etc/debian-cd/conf.sh \
               debian/debian-cd/usr/share/debian-cd/CONF.sh
	find debian/debian-cd -name '.svn' | xargs -r rm -rf
	find debian/debian-cd/usr/share/debian-cd/tools/boot \
	  \( -name 'boot-*' -o -name 'post-boot-*' \) -a \! -name '*.txt' \
	  -a \! -name '*.calc' -a \! -name boot-x86 -a \! -name boot-kfreebsd \
	  -a \! -name boot-hurd | xargs chmod 0755
	cd debian/debian-cd/usr/share/debian-cd/contrib && chmod 755 cronjob.* ftp.cron \
		generate_firmware_images iso_run jigdo-watcher \
		merge-sums mkjigsnap mklist mktorrent \
		report_build_error testingcds 

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README* DEDICATION.txt
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build: build-arch build-indep
.PHONY: build-arch build-indep  build clean binary-indep binary-arch binary
