## debian-cd 3.1.15

=== debian/changelog ===
debian-cd (3.1.15) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add "UEFI" text to the UEFI installer menu title to make it easier for
    end users to distinguish between UEFI and BIOS boot.

  [ Samuel Thibault ]
  * Make kfreebsd & hurd images usbkey-bootable. Closes: #739422
  * Fix building desktop CDs with easy-build.sh Closes: #740558

  [ Raphaël Hertzog ]
  * Fix code extracting the xorriso version.

  [ Steve McIntyre ]
  * tools/apt-selection: pass APT::Architectures:: when calling apt;
    otherwise if we're running on a multi-arch system apt will break
  * Factor out the xorriso version-checking code

  [ Helge Deller ]
  * Fixes for booting on hppa architecture. Closes: #743879, #749409

  [ Robert Millan ]
  * Update from kfreebsd-9 to kfreebsd-10

  [ Daniel Baumann ]
  * Cope with changes from move to isolinux 6.x. Closes: #746746

 -- Steve McIntyre <93sam@debian.org>  Tue, 11 Feb 2014 01:57:01 +0000
