## debian-cd 3.1.16

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 TASK=Debian-generic
 endif
 ifndef MKISOFS
-ifneq (,$(filter i386 amd64,$(ARCHES)))
+ifneq (,$(filter i386 amd64 arm64,$(ARCHES)))
 export MKISOFS=xorriso
 export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
 else
@@ -292,9 +292,8 @@
 			export ARCH=$$ARCH; \
 			for i in `$(apt) selected -f install`; do \
 				echo $$ARCH:$$i; \
-				$(apt) cache dumpavail | perl -000 -ne \
-				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m; \
-				print if /^Package: \Q$$i\E\s*\$$/m;" \
+				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
+				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
 		done; \
