=== debian/changelog ===
debian-cd (3.1.16) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix changelog date for 3.1.15. Closes: #751814
  * Fix up Gnome CD set installing xfce - logic in boot menu creation was
    broken. Closes: #756774
  * Update kernel flavours for armhf to just use armmp and armmp-lpae
  * Update arch lists to match what's in Jessie: remove sparc and ia64,
    add arm64.
  * Add Debian-mate and Debian-cinnamon top-level tasks for new CD desktop
    options
  * Extend FORCE_SID_TASKSEL usage in update_tasks to also affect desktop
    choice algorithm
  * Add experimental support for arm64 booting via UEFI
  * Use new tasksel interface to determine default desktop.
    Closes: #762613
  * Do not look for isolinux/desktop/*cfg files for appending
    kernel params for Jessie. Closes: #767223, #766411. Thanks to Prema
    and Vagrant for (identical!) patches. :-)

  [ Philipp Hahn ]
  * Fix word-splitting regexp in generate_di_list. Closes: #758512.
  * Improve correctstatus speed. Closes: #759343

  [ Joey Hess ]
  * adapt desktop handling for tasksel/d-i changes. Closes: #762487

  [ Aurelien Jarno ]
  * Add initial support for ppc64el

  [ Ian Campbell ]
  * Force MKISOFO=xorriso for arm64 too
  * The d-i supplied grub.cfg has the correct entries in it already

 -- Steve McIntyre <93sam@debian.org>  Wed, 29 Oct 2014 17:33:10 +0000
