## debian-cd 3.1.17

=== Makefile ===
--- 
+++ 
@@ -222,7 +222,7 @@
 	@echo "Generating a fake status file for apt-get and apt-cache..."
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
-		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" ];then \
+		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" -o "$(INSTALLER_CD)" = "F" ];then \
 			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 		else \
 			zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.gz | \
@@ -372,6 +372,9 @@
 	if [ "$(EXCLUDE_486_KERNEL)"x = "1"x ] ; then \
 		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_486_KERNEL"; \
 	fi; \
+	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
+		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
+	fi; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
 		cat $(TASKDIR)/$(TASK) | \
 		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
@@ -388,7 +391,3 @@
 	fi
 #	ls -al $(BDIR)/rawlist
 
-# Generate the complete listing of packages from the task
-# Build a nice list without doubles and without spaces
-genlist: ok $(BDIR)/list
-$(BDIR)/list: $(BDIR)/rawlist
