=== debian/changelog ===
debian-cd (3.1.17) unstable; urgency=medium

  [ Steve McIntyre ]
  * Provide hashes for uncompressed Translation-* files, and remove the
    uncompressed versions from the output disc. Closes: #767253. Initial
    patch from Michael Vogt - thanks!
  * Add 586 kernels to replace 486 for i386 CDs
  * More tweaks for arm64 CD building
  * Change from -- to --- for kernel command line handling.
    Closes: #764676
  * Add minor support / bug fixes for i386 EFI.
  * Add fine-grained control over usage of BIOS and EFI boot on x86 CDs,
    needed for extra Mac CD builds.
  * update-cd: if we're doing torrents, make sure we include update CD
    checksums in bt-$type too.
  * Improve autorun.inf, make sure the disc icon displays. Closes: #772691
    Thanks to jnqnfe for initial patch, slightly tweaked.
  * Add rdnssd on disc 1 by default. Closes: #782299
  * Update included files from the setup repo in the contrib dir

  [ Ben Hutchings ]
  * generate_di+k_list: Update kernel and related package lists for mips*
    Closes: #777711

  [ Helge Deller ]
  * [alpha] fix unpacking aboot-base, copy versioned vmlinuz file correctly.

 -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100
