## debian-cd 3.1.18

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 TASK=Debian-generic
 endif
 ifndef MKISOFS
-ifneq (,$(filter i386 amd64 arm64,$(ARCHES)))
+ifneq (,$(filter i386 amd64 arm64 hppa,$(ARCHES)))
 export MKISOFS=xorriso
 export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
 else
@@ -180,10 +180,10 @@
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s wheezy $(BASEDIR)/data/sid ; \
+		ln -s stretch $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s wheezy $(BASEDIR)/tools/boot/sid ; \
+		ln -s stretch $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
@@ -375,19 +375,17 @@
 	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
 		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
 	fi; \
+	if [ "$(EXCLUDE_686_KERNEL)"x = "1"x ] ; then \
+		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_686_KERNEL"; \
+	fi; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		cat $(TASKDIR)/$(TASK) | \
 		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
 	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
 		    -DFORCENONUSONCD1=0 \
-		    -I $(TASKDIR) - - >> $(BDIR)/rawlist; \
+		    -I $(TASKDIR) $(TASKDIR)/$(TASK) >> $(BDIR)/rawlist; \
 	fi
 
     # If we're *only* doing source, then we need to build a list of all the
     # available source packages. Deliberately ignore the tasks too.
 	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
 		awk '/^Package:/ {print $$2}' $(ADIR)/$(CODENAME)-source/apt-state/lists/*Sources | \
-			sort -u > $(BDIR)/rawlist; \
-	fi
-#	ls -al $(BDIR)/rawlist
-
