=== debian/changelog ===
debian-cd (3.1.18) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start stretch, simply copying jessie for now
  * Remove mention of desktop choice from yaboot boot messages
    (Closes: #783569)
  * Add YA syslinux package to Recommends.
  * Fix handlinkg of LOGOPNG when we've got "doppelganer" initramfs files
  * Add support for debian-edu builds
  * Change cpp usage in the Makefile to make error handling more reliable
  * tools/sort_deps: Improve handling of too-large packages. Previously,
    the code would only check sizes for packages explicitly listed but
    packages brought in due to dependency resolution would not be
    checked. Now fixed.
  * Try to make VOLIDs shorter when given long alpha / beta release names
    in DEBVERSION
  * Add firmware bundles in cpio.gz format too to help netboot users.
    Thanks to Alex Owen for the patch, slightly tweaked.
  * Add kernels and other bits to armel/armhf images (Closes: #795844)
  * Do similar for mips images, now r4k-ip22 cdrom images are no longer
    built.
  * Remove old obsolete pre-d-i function install_language and all callers.
  * parse_isolinux: Support grub menuentry shortcuts for UEFI boot menus.
    Closes: #798908
  * Create checksums for firmware images
  * Switch references to d-i.debian.org to use https instead of http.
    Closes: #809698. Also use --ca-directory /etc/ssl/ca-debian/ with wget
    to ensure this works.
  * Add Recommends: syslinux-utils in case a user wants to use SPLASHPNG
    (and hence ppmtolss16) for their own splash images. Closes: #768977
  * Update Standards-Version to 3.9.6

  [ Didier Raboud ]
  * For stretch, swap amd64 and i386 to let the first be the norm, and the
    latter be the special case, this copes with the similar change in d-i
  * Add management of arch detection from d-i in isolinux, fix booting from
    help files and isolinux.cfg overwriting

  [ Cyril Brulebois ]
  * Make amd64 the default arch in the easy-build.sh script.
  * Make stretch the default suite in the easy-build.sh script.

  [ Philipp Kern ]
  * Load the s390x initrd at 0x01000000 to allow kernels larger than
    8 MiB (and smaller than 16 MiB) to be loaded via the ins loader.
  * Drop the remaining s390 bits from stretch and jessie. (s390x remains.)
  * Drop the d390oco loader from stretch and jessie.

  [ John Paul Adrian Glaubitz ]
  * Add initial sparc64 support

  [ Samuel Thibault ]
  * include espeakup on cd1, not speakup, and alsa-utils. Closes: #809497
  * Minor tweaks to hurd boot setup. Closes: #818176

  [ Ben Hutchings ]
  * Add 686 kernels to replace 586 for i386 CDs. Closes: #808958

  [ Nicholas D Steeves ]
  * Change dependency on btrfs-tools to btrfs-progs. Closes: #820479

  [ Helge Deller ]
  * Update hppa support. Closes: #744155

  [ Philipp Hahn ]
  * Fix size calculation for EFI image

 -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100
