## debian-cd 3.1.19

=== debian/changelog ===
debian-cd (3.1.19) unstable; urgency=medium

  [ Steve McIntyre ]
  * Also fix size calculation for EFI image for arm64
  * Add workaround for dosfstools issue (#823881)
  * Add support for adding backports into a build
  * Remove obsolete dedicated_source script
  * Add support for archives without Packages.gz and Sources.gz - try .xz
    files too

  [ Cyril Brulebois ]
  * Only export WGET_OPTS="--ca-directory /etc/ssl/ca-debian/" when this
    directory actually exists, making it easier to use debian-cd on non-
    debian.org machines.

  [ John Paul Adrian Glaubitz ]
  * Fix perl errors in make_disc_trees.pl - use "local $_", not "my $_"
    Closes: #839946

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Dec 2016 01:13:13 +0000
