## debian-cd 3.1.20

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,7 @@
 
 ## Internal variables  
 apt=$(BASEDIR)/tools/apt-selection
+check_backports_packages=$(BASEDIR)/tools/check_backports_packages
 sort_deps=$(BASEDIR)/tools/sort_deps
 md5sum=md5sum
 jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
@@ -77,6 +78,7 @@
 update_popcon=$(BASEDIR)/tools/update_popcon
 grab_source_list=$(BASEDIR)/tools/grab_source_list
 which_deb=$(BASEDIR)/tools/which_deb
+catz=$(BASEDIR)/tools/catz
 
 BDIR=$(TDIR)/$(CODENAME)
 TASKDIR=$(BDIR)/tasks
@@ -213,6 +215,10 @@
 	$(Q)for ARCH in $(ARCHES_NOSRC); do \
 		echo "Using the provided status file for $(CODENAME)-$$ARCH ..."; \
 		cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			echo "Using the provided status file for $(CODENAME)-backports-$$ARCH ..."; \
+			cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-backports-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
+		fi; \
 	done
 
 # Regenerate the status file with only packages that
@@ -222,12 +228,23 @@
 	@echo "Generating a fake status file for apt-get and apt-cache..."
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/preferences.d; \
+		fi; \
 		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" -o "$(INSTALLER_CD)" = "F" ];then \
 			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				:> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
+			fi; \
 		else \
-			zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.gz | \
+			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
 			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
 			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
+				perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
+				>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
+			fi; \
 		fi; \
 	done;
 	:> $(ADIR)/status
@@ -239,12 +256,19 @@
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
+			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
+		fi; \
 	done
 
 	# Updating the apt database
 	$(Q)for ARCH in $(ARCHES); do \
 		export ARCH=$$ARCH; \
 		$(apt) update; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 $(apt) update; \
+		fi; \
 	done
 
 	# If we're doing a build using d-i from sid, we'll need sid sources too
@@ -256,6 +280,9 @@
 		export CODENAME=$(DI_CODENAME); \
 		export ARCH=source; \
 		$(apt) update; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 $(apt) update; \
+		fi; \
 	fi
     #
     # Checking the consistency of the standard system
@@ -264,6 +291,9 @@
 	$(Q)for ARCH in $(ARCHES); do \
 		export ARCH=$$ARCH; \
 		$(apt) check || $(MAKE) correctstatus; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 $(apt) check || $(MAKE) correctstatus; \
+		fi; \
 	done
 
 # Only useful if the standard system is broken
@@ -282,6 +312,13 @@
 				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
 				$(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				for i in `USE_BP=1 $(apt) deselected -f install`; do \
+					echo $$ARCH:$$i; \
+					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
+				done; \
+			fi; \
 		done; \
     fi
     #
@@ -296,12 +333,23 @@
 				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				for i in `USE_BP=1 $(apt) selected -f install`; do \
+					echo $$ARCH:$$i; \
+					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
+					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
+				done; \
+			fi; \
 		done; \
     fi
     #
     # Showing the output of apt-get check :
 	$(Q)for ARCH in $(ARCHES_NOSRC); do \
 		ARCH=$$ARCH $(apt) check; \
+		if [ "$$BACKPORTS"x != ""x ] ; then \
+			USE_BP=1 ARCH=$$ARCH $(apt) check; \
+		fi; \
 	done
 
 apt-update: status
@@ -309,6 +357,9 @@
 		for ARCH in $(ARCHES); do \
 			echo "Apt-get is updating its files ..."; \
 			ARCH=$$ARCH $(apt) update; \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				USE_BP=1 ARCH=$$ARCH $(apt) update; \
+			fi; \
 		done; \
     fi
 
@@ -333,59 +384,3 @@
 		elif [ "$(INSTALLER_CD)"x = "2"x -o "$(INSTALLER_CD)"x = "C"x ] ; then \
 			echo "mawk" >>$(BDIR)/rawlist; \
 		else \
-			echo "mawk" >>$(BDIR)/rawlist; \
-			echo "exim4-daemon-light" >>$(BDIR)/rawlist; \
-		fi; \
-	fi
-
-	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		if [ _$(INSTALLER_CD) != _1 ]; then \
-			for ARCH in $(ARCHES_NOSRC); do \
-				BINCLUDE=`[ -n "$(BASE_INCLUDE)" ] && cat $(BASE_INCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
-				[ -z "$$BINCLUDE" ] || BINCLUDE="--include=$$BINCLUDE"; \
-				BEXCLUDE=`[ -n "$(BASE_EXCLUDE)" ] && cat $(BASE_EXCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
-				[ -z "$$BEXCLUDE" ] || BEXCLUDE="--exclude=$$BEXCLUDE"; \
-				debootstrap $(DEBOOTSTRAP_OPTS) --arch $$ARCH \
-				            --print-debs \
-				            $$BINCLUDE $$BEXCLUDE \
-				            $(CODENAME) \
-				            $(TDIR)/debootstrap.tmp \
-				            file:$(MIRROR) \
-			                $(DEBOOTSTRAP_SCRIPT) 2>/dev/null \
-				    | tr ' ' '\n' > $(BDIR)/debootstrap-list; \
-				cat $(BDIR)/debootstrap-list >>$(BDIR)/rawlist; \
-				rm -rf $(TDIR)/debootstrap.tmp; \
-			done; \
-		fi; \
-	fi
-
-	$(Q)for ARCH in $(ARCHES_NOSRC); do \
-		ARCHDEFS="$$ARCHDEFS -D ARCH_`echo $$ARCH | sed 's/-/_/'`"; \
-		ARCHUNDEFS="$$ARCHUNDEFS -U $$ARCH"; \
-	done; \
-	for VARIANT in $(VARIANTS); do \
-		VARIANTDEFS="$$VARIANTDEFS -D VARIANT_$$VARIANT"; \
-	done; \
-	if [ "$(FORCE_FIRMWARE)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DFORCE_FIRMWARE"; \
-	fi; \
-	if [ "$(EXCLUDE_486_KERNEL)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_486_KERNEL"; \
-	fi; \
-	if [ "$(EXCLUDE_586_KERNEL)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_586_KERNEL"; \
-	fi; \
-	if [ "$(EXCLUDE_686_KERNEL)"x = "1"x ] ; then \
-		ARCHDEFS="$$ARCHDEFS -DARCH_i386_EXCLUDE_686_KERNEL"; \
-	fi; \
-	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
-	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
-		    -DFORCENONUSONCD1=0 \
-		    -I $(TASKDIR) $(TASKDIR)/$(TASK) >> $(BDIR)/rawlist; \
-	fi
-
-    # If we're *only* doing source, then we need to build a list of all the
-    # available source packages. Deliberately ignore the tasks too.
-	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
-		awk '/^Package:/ {print $$2}' $(ADIR)/$(CODENAME)-source/apt-state/lists/*Sources | \
