=== debian/changelog ===
debian-cd (3.1.20) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add {data,tasks,tools/boot}/{kali-dev,kali-rolling} symlinks pointing
    to sid to make it easier to build Kali images with debian-cd.

  [ Steve McIntyre ]
  * Add https bits to tools/generate_di+k_list (#855035)
  * Fix missing full path for catz call in tools/grab_md5 (Closes: #855174)
  * Add stub for mips64el boot support, so we can build images for it
  * Add reportbug to tasks/forcd1 - make it easier for users to report
    installation problems. Closes: #861288
  * Ensure that arm64 images include grub-efi packages
  * Tweak the Volume ID and disk info output slightly for netinst media.
    Closes: #858031
  * Tweak the Volume ID for mips64el media

  [ Samuel Thibault ]
  * Add support for grub submenu hotkeys.

  [ Vagrant Cascadian ]
  * Add wget to Recommends. Closes: #861436

 -- Steve McIntyre <93sam@debian.org>  Tue, 06 Jun 2017 13:12:21 +0100
