## debian-cd 3.1.21

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,12 @@
 endif
 ifndef DEBOOTSTRAP_OPTS
 DEBOOTSTRAP_OPTS=--no-check-gpg
+endif
+
+## Port architectures need their archive keyring
+UNRELEASED_PORT_ARCHITECTURES=alpha hppa hurd-i386 m68k ppc64 powerpcspe sh4 sparc64 x32
+ifneq (,$(filter $(UNRELEASED_PORT_ARCHITECTURES),$(ARCHES)))
+export BASE_INCLUDE := $(BASEDIR)/data/base_include_port_architectures $(BASE_INCLUDE)
 endif
 
 ## Internal variables  
@@ -178,14 +184,14 @@
 	fi
 endif
 
-# Make sure unstable/sid points to testing/wheezy, as there is no build
+# Make sure unstable/sid points to testing/buster, as there is no build
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s stretch $(BASEDIR)/data/sid ; \
+		ln -s buster $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s stretch $(BASEDIR)/tools/boot/sid ; \
+		ln -s buster $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
@@ -377,10 +383,3 @@
 # Dirty workaround for saving space, we add some hints to break ties.
 # This is just a temporal solution, sort_deps should be a little bit less
 # silly so that this is not needed. For more info have a look at
-# http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
-	$(Q)if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
-		if [ "$(INSTALLER_CD)"x = "1"x ] ; then \
-			: ; \
-		elif [ "$(INSTALLER_CD)"x = "2"x -o "$(INSTALLER_CD)"x = "C"x ] ; then \
-			echo "mawk" >>$(BDIR)/rawlist; \
-		else \
