=== debian/changelog ===
debian-cd (3.1.21) unstable; urgency=medium

  [ Steve McIntyre ]
  * Tweak tasks/stretch/Debian-xfce: force some important packages up the
    dependency order so they're guaranteed to fit (firefox,
    network-manager-gnome, synaptic)
  * Start buster, simply copying stretch for now
  * Add SHA256 checksums to Packages files for update images
  * Make update_popcon deal with https on popcon.d.o
  * Depend on wget instead of just Recommending it.
  * Update references to point to salsa.d.o for git repo
  * Fix isolinux config parsing. Thanks to Philipp Hahn for the
    patch. Closes: #886655
  * Minor packaging updates:
    + Remove the executable bit from various shell function files
    + Update the debhelper dependency to version 10
    + Stop using dh_clean -k
    + Switch Priority: extra to optional
    + Update Standards-Version to 4.1.3

  [ JH Chatenet ]
  * Include debian-ports-archive-keyring on non released architectures
    Closes: #865470

  [ John Paul Adrian Glaubitz ]
  * Add list of packages required for debian-installer on m68k.
  * Add support for unreleased packages from Debian Ports.
  * Remove special handling for palo, silo and yaboot in which_deb.
  * Fix relative d-i path for kernel images and initrd in boot-hppa.
  * Fix relative d-i path for kernel images and initrd in boot-sparc64.
  * Add support for unreleased debian-installer packages from Debian Ports.
  * Fix relative d-i path for kernel images and initrd in boot-alpha.
  * Strip "images/cdrom" suffix from mirror DI_DIR path in boot-alpha.
  * Add grub-ieee1275 to tools/generate_di+k_list on powerpc.
  * Add grub-ieee1275 to tools/generate_di+k_list on sparc and sparc64.
  * Fix install location of amiga.info icon file.
  * Clone powerpc udeb lists for ppc64.
  * Add initial set of packages to tools/generate_di+k_list on ppc64.

  [ Marcin Kulisz]
  * removing lynx-cur from binary conditional dependency (Closes: #888107)

  [ Vagrant Cascadian ]
  * Support KERNEL_PARAMS in arm64 (Closes: #884552)

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Feb 2018 00:44:46 +0000
