=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
@@ -33,7 +33,7 @@
 	find debian/debian-cd/usr/share/debian-cd/tools/boot \
 	  \( -name 'boot-*' -o -name 'post-boot-*' \) -a \! -name '*.txt' \
 	  -a \! -name '*.calc' -a \! -name boot-x86 -a \! -name boot-kfreebsd \
-	  -a \! -name boot-hurd | xargs chmod 0755
+	  -a \! -name boot-hurd -a \! -name '*common' | xargs chmod 0755
 	cd debian/debian-cd/usr/share/debian-cd/contrib && chmod 755 cronjob.* ftp.cron \
 		generate_firmware_images iso_run jigdo-watcher \
 		merge-sums mkjigsnap mklist mktorrent \
